#! /bin/bash

if [[ $# < 3 ]]; then
    echo "Usage: $0 printer_name ppd dev_path"
    echo "example:"
    echo "    $0 LBP2900 CNCUPSLBP2900CAPTK.ppd /dev/usb/lp0"
    exit 0
fi

model_path=/usr/share/cups/model/

lpadmin -p $1 -v ccp://localhost:59687 -P "$model_path$2" -E || exit 1

ccpdadmin | grep "invalid Spool Name" | awk '{print $3}' | while read -r name; do ccpdadmin -x $name; done

ccpdadmin -p $1 -o $3 | grep -q $1 || exit 1

systemctl restart ccpd.service
systemctl enable ccpd.service

exit 0
